Pay with krungsri app
Make a Pay is an easy and quick way to make a payment. One of the solution is Pay with krungsri app; a seamless purchasing goods & services via your mobile application deep-linked to krungsri app (KSA) through API standard system. Merchant application can call directly to the krungsri app. For example, shopping cart app can call the krungsri app to the payment page directly. It’s easy for shopper to make a payment with a few steps.
Use Case for Pay with krungsri app
Customers can easily make payment via krungsri app from merchant's application. Krungsri API provided backend service to support customer shopping journey on merchant's application with smoothly payment on mobile application .
High level steps:
1) Once customer is ready to pay for the goods then select "Pay with krungsri app" from merchant's application.
2) Enter PIN in krungsri app
3) Verify payment information then confirm the payment
4) Call back to merchant's application
- Partner Application sends ’Deeplink generation’ instruction information to validate with Krungsri (A)
- Krungsri API responses Deeplink URL and Reference number
- Partner Application Redirects end-user to krungsri app application as response Deeplink URL
- End-user reviews and confirms payment (paid, cancelled etc.)
- Front-end switchs back to partner application screen, Application krungsri app sends transaction status back.
- Krungsri API callbacks to partner application that can be provided by partner's application system for Krungsri to callback with transaction status update(push mode)……… READ MORE…….
- If partner's application does not provide callback service, partner can use ‘Deeplink transaction inquiry’ to retrieve transaction status (pull mode) for partner application to proceed with the status
- Partner application process information and display at frontend interface
• Pay with krungsri app - Payment Status Inquiry
Partner application can inquire for transaction initiated from their merchant to Krungsri to check for transaction status or retrieve transaction information.
• Pay with krungsri app - Cancel payment transaction initiated
In case exception occurs after the successful transaction initiation, partner application can always call Cancellation API to cancel the initiated transaction
• Related API
| Seq No. | API Name | API Endpoints |
|---|---|---|
| A | Pay with krungsri app - Initiate payment transaction | POST /rest/api/v1/payments/deeplink/transactions |
| B | Pay with krungsri app - Payment Status Inquiry | POST /rest/api/v1/payments/deeplink/transactionStatus/inquiry |
| C | Pay with krungsri app - Cancel payment transaction initiated | POST /rest/api/v1/payments/deeplink/transactions/cancellation |
Technical Details
Partner provides one endpoint for Krungsri API to callback to your system, sample of request message can be as following
Request parameter
| processingStatus | Indicates the processing status of a payment transaction “code” |
| paymentAccountNumber | A payment account in masked format. Applicable only if the processingStatus is FNLD |
| transactionReference | Unique transaction reference to identify the transaction |
| slipImage | Slip image in base64 format. Applicable only if the processingStatus is FNLD |
| paymentDateTime | Date and time at which all processing conditions for execution of the payment are met and payment transaction is accepted. Applicable only if the processingStatus is FNLD. Format is YYYY-MM-DDThh:mm:ss.sss in Thailand local date and time (UTC/GMT +7) |
| paymentReferenceIdentification | A payment reference identification generated by Krungsri. Use as a reference for a payment transaction. Applicable only if the processingStatus is FNLD |
| paymentChannel | Specifies the payment channel to be used to process the payment instruction. Applicable only if the processingStatus is FNLD |
Sample request
| { "processingStatus": "ACPT", "paymentAccountNumber": "xxx-x-x0055-x", "transactionReference": "77f5373d-5656-48d4-afe4-80df8006346d", "slipImage": " iVBORw0KGgoAAAANSUhEUgAAACEAAAA3CAYA...(shorten string for document purpose)...BlrYcnACwAAAABJRU5ErkJggg==", "paymentDateTime": "2020-02-20T00:00:00.000", "paymentReferenceIdentification": "BAY23910338", "paymentChannel": "BAY_KMA" } |